Index: modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/GoldOARemoteService.java
===================================================================
--- modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/GoldOARemoteService.java	(nonexistent)
+++ modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/GoldOARemoteService.java	(revision 47599)
@@ -0,0 +1,41 @@
+package eu.dnetlib.server;
+
+import com.google.gwt.user.client.rpc.RemoteService;
+import com.google.gwt.user.server.rpc.RemoteServiceServlet;
+import com.google.gwt.user.server.rpc.SerializationPolicy;
+import org.springframework.context.ApplicationContext;
+import org.springframework.web.context.support.WebApplicationContextUtils;
+
+import javax.servlet.ServletConfig;
+import javax.servlet.ServletException;
+import javax.servlet.http.HttpServletRequest;
+
+/**
+ * Created by antleb on 20/06/2017.
+ */
+public abstract class GoldOARemoteService extends RemoteServiceServlet {
+
+    private String moduleBaseURL;
+
+    public void init(ServletConfig config) throws ServletException {
+        super.init(config);
+
+        ApplicationContext context = WebApplicationContextUtils
+                .getWebApplicationContext(getServletContext());
+
+        String mbu = (String) context.getBean("goldoa.moduleBaseURL");
+
+        if (mbu != null) {
+            this.moduleBaseURL = mbu;
+        }
+    }
+
+    @Override
+    protected SerializationPolicy doGetSerializationPolicy(HttpServletRequest request, String moduleBaseURL, String strongName) {
+
+        if (this.moduleBaseURL != null)
+            return super.doGetSerializationPolicy(request, this.moduleBaseURL, strongName);
+        else
+            return super.doGetSerializationPolicy(request, moduleBaseURL, strongName);
+    }
+}
Index: modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/fundingrequest/newrequest/EligibilityServiceImpl.java
===================================================================
--- modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/fundingrequest/newrequest/EligibilityServiceImpl.java	(revision 47598)
+++ modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/fundingrequest/newrequest/EligibilityServiceImpl.java	(revision 47599)
@@ -1,15 +1,18 @@
 package eu.dnetlib.server.fundingrequest.newrequest;
 
 import com.google.gwt.user.server.rpc.RemoteServiceServlet;
+import com.google.gwt.user.server.rpc.SerializationPolicy;
 import eu.dnetlib.client.fundingrequest.newrequest.EligibilityService;
 import eu.dnetlib.goldoa.domain.Eligibility;
 import eu.dnetlib.goldoa.domain.Request;
 import eu.dnetlib.goldoa.service.EligibilityManager;
+import eu.dnetlib.server.GoldOARemoteService;
 import org.springframework.context.ApplicationContext;
 import org.springframework.web.context.support.WebApplicationContextUtils;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
+import javax.servlet.http.HttpServletRequest;
 
 /**
  * Created by stefania on 3/11/15.
@@ -32,4 +35,9 @@
     public Eligibility validate(Request request) {
         return eligibilityManager.validate(request);
     }
+
+    @Override
+    protected SerializationPolicy doGetSerializationPolicy(HttpServletRequest request, String moduleBaseURL, String strongName) {
+        return super.doGetSerializationPolicy(request, "http://localhost:8380/goldoa/GoldOAPortal/", strongName);
+    }
 }
Index: modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/widget/AutoCompleteServiceImpl.java
===================================================================
--- modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/widget/AutoCompleteServiceImpl.java	(revision 47598)
+++ modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/widget/AutoCompleteServiceImpl.java	(revision 47599)
@@ -2,10 +2,12 @@
 
 import com.google.gwt.user.client.Window;
 import com.google.gwt.user.server.rpc.RemoteServiceServlet;
+import com.google.gwt.user.server.rpc.SerializationPolicy;
 import eu.dnetlib.client.widgets.AutoCompleteService;
 import eu.dnetlib.goldoa.domain.*;
 import eu.dnetlib.goldoa.service.SearchManager;
 import eu.dnetlib.goldoa.service.dao.UserDAO;
+import eu.dnetlib.server.GoldOARemoteService;
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
 import org.springframework.context.ApplicationContext;
@@ -13,6 +15,7 @@
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
+import javax.servlet.http.HttpServletRequest;
 import java.util.ArrayList;
 import java.util.List;
 
@@ -111,4 +114,9 @@
         }
         return matchingNames;
     }
+
+    @Override
+    protected SerializationPolicy doGetSerializationPolicy(HttpServletRequest request, String moduleBaseURL, String strongName) {
+        return super.doGetSerializationPolicy(request, "http://localhost:8380/goldoa/GoldOAPortal/", strongName);
+    }
 }
Index: modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/DataServiceImpl.java
===================================================================
--- modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/DataServiceImpl.java	(revision 47598)
+++ modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/server/DataServiceImpl.java	(revision 47599)
@@ -1,6 +1,7 @@
 package eu.dnetlib.server;
 
 import com.google.gwt.user.server.rpc.RemoteServiceServlet;
+import com.google.gwt.user.server.rpc.SerializationPolicy;
 import eu.dnetlib.client.DataService;
 import eu.dnetlib.goldoa.domain.*;
 import eu.dnetlib.goldoa.domain.Currency;
@@ -18,6 +19,7 @@
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
+import javax.servlet.http.HttpServletRequest;
 import java.util.*;
 
 /**
@@ -653,4 +655,10 @@
         return projectManager.getById(projectId);
     }
 
+
+    @Override
+    protected SerializationPolicy doGetSerializationPolicy(HttpServletRequest request, String moduleBaseURL, String strongName) {
+        return super.doGetSerializationPolicy(request, "http://localhost:8380/goldoa/GoldOAPortal/", strongName);
+    }
+
 }
Index: modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/client/widgets/AutoCompleteWidget.java
===================================================================
--- modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/client/widgets/AutoCompleteWidget.java	(revision 47598)
+++ modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/client/widgets/AutoCompleteWidget.java	(revision 47599)
@@ -16,6 +16,8 @@
 import eu.dnetlib.goldoa.service.SearchManager;
 
 import java.util.List;
+import java.util.logging.Level;
+import java.util.logging.Logger;
 
 /**
  * Created by stefania on 3/2/15.
@@ -161,6 +163,8 @@
             @Override
             public void onFailure(Throwable caught) {
 
+                Window.alert(caught.getClass().getName());
+                Logger.getLogger("gold").log(Level.SEVERE, "error in autocomplete ", caught);
             }
 
             @Override
Index: modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/client/user/UserLoginForm.java
===================================================================
--- modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/client/user/UserLoginForm.java	(revision 47598)
+++ modules/uoa-goldoa-portal/branches/hibernate/src/main/java/eu/dnetlib/client/user/UserLoginForm.java	(revision 47599)
@@ -27,6 +27,10 @@
 import eu.dnetlib.goldoa.domain.PersonManagerException;
 import eu.dnetlib.goldoa.domain.User;
 
+
+import java.util.logging.Level;
+import java.util.logging.Logger;
+
 /**
  * Created by stefania on 3/4/15.
  */
@@ -108,9 +112,14 @@
                                     errorLabel.setVisible(true);
                                 }
                             } else {
-                                errorLabel.setText(goldOAConstants.loginErrorGeneral());
+//                                errorLabel.setText(goldOAConstants.loginErrorGeneral());
+                                errorLabel.setText(throwable.getMessage() + " - " + throwable.getClass());
                                 errorLabel.setVisible(true);
                             }
+
+                            Logger logger = Logger.getLogger("client");
+
+                            logger.log(Level.SEVERE, "error", throwable);
                         }
 
                         @Override
Index: modules/uoa-goldoa-portal/branches/hibernate/src/main/resources/eu/dnetlib/GoldOAPortal.gwt.xml
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
Index: modules/uoa-goldoa-portal/branches/hibernate/src/main/resources/eu/dnetlib/client/GoldOAConstants.properties
===================================================================
--- modules/uoa-goldoa-portal/branches/hibernate/src/main/resources/eu/dnetlib/client/GoldOAConstants.properties	(revision 47598)
+++ modules/uoa-goldoa-portal/branches/hibernate/src/main/resources/eu/dnetlib/client/GoldOAConstants.properties	(revision 47599)
@@ -24,11 +24,11 @@
   remaining project partners and to keep them informed of the number of project Open Access publications still eligible \
   to be funded by the Gold OA Pilot.</div><div>11. You confirm that OpenAIRE has not been involved in any way in the choice \
   of journal and publisher for the publication for which you are requesting this funding.</div>
-whatIsThisServiceAbout = <div class="alert"><span class="strong">WARNING</span> - Once the first year of the FP7 Post-Grant \
-  Open Access Pilot has been completed and the initiative has been widely disseminated, an updated and more strict project \
-  eligibility time-window will apply. As of June 1st, 2016, finished FP7 projects <u>will remain eligible for up to two months \
-  after the nominal 2-year window after its end-date</u>. Once these two months are over, the project will be shown as non-eligible \
-  in the system and it will no longer be possible to submit any funding request.</div>\
+whatIsThisServiceAbout = <div class="alert alert-info" style="font-size: 15px">The first phase of the FP7 Post-Grant Open Access \
+  Pilot has ended on April 30th.<br>OpenAIRE has been requested by the European Commission to extend this pilot by 10 months, \
+  ending on February 28th, 2018.<br>Rules and eligibility criteria have not changed and will be applied to all projects requesting funds. \
+  The maximum amount of publications that will be funded per project remains 3 - and this for both phases of the pilot combined.<br>If \
+  you have any questions, do not hesitate to <a class="contactUs">contact us</a>.</div>\
   <p>Use this service to request and monitor funding for Open Access publishing fees as described \
   in the <a href="https://www.openaire.eu/postgrantoapilot" target="_blank">EC FP7 post-grant Open Access \
   Pilot</a>.</p><div style="margin:20px 0px 30px 0px;"><ul><li>\
Index: modules/uoa-goldoa-portal/branches/hibernate/pom.xml
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml