Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/page-help-content-form.component.html
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/page-help-content-form.component.html	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/page-help-content-form.component.html	(revision 50388)
@@ -1,6 +1,6 @@
 <div *ngIf="errorMessage" class="uk-alert-danger" uk-alert>{{errorMessage}}</div>
 <form [formGroup]="myForm">
-    <div class="form-group" [ngClass]="{'has-error':!myForm.controls.page.valid && myForm.controls.page.dirty}">
+    <div *ngIf="!pageId" class="form-group" [ngClass]="{'has-error':!myForm.controls.page.valid && myForm.controls.page.dirty}">
         <label for="pageTag">Select Page</label>
         <select formControlName="page" id="pageTag" class="form-control">
             <option *ngFor="let page of availablePages" [value]="page._id">{{page.name}}</option>
@@ -36,7 +36,7 @@
     </div>
     <div class="form-group" [ngClass]="{'has-error':!myForm.controls.order.valid && myForm.controls.order.dirty}">
         <label for="orderTag">Order</label>
-        <input type="number" step="1" class="form-control" formControlName="order" id="orderTag" placeholder="Order (e.g. 2)">
+        <input type="text" step="1" class="form-control" formControlName="order" id="orderTag" placeholder="Order (e.g. 2)">
     </div>
     <div class="form-group">
         <label>Select Status</label>
Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/entity-form.component.html
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/entity-form.component.html	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/entity-form.component.html	(revision 50388)
@@ -3,8 +3,11 @@
         <label for="entityNameTag">Entity Name</label>
         <input type="text" class="uk-input uk-width-medium" formControlName="name" id="entityNameTag" placeholder="Entity Name">
     </div>
+    <div class="form-group" [ngClass]="{'has-error':!myForm.controls.pid.valid && myForm.controls.pid.dirty}">
+        <label for="entityPidTag">Entity persistent id for portal</label>
+        <input type="text" class="uk-input uk-width-medium" formControlName="pid" id="entityPidTag" placeholder="Entity Pid">
+    </div>
 
-
 <!--
     <div ngModelGroup="phoneNumbers">
       <h3>Phone numbers</h3>
Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/edit-page-help-content.component.ts
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/edit-page-help-content.component.ts	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/edit-page-help-content.component.ts	(revision 50388)
@@ -75,6 +75,13 @@
         } else {
             this.errorMessage = "Please fill all required fields";
         }
+    }
 
+    private cancelCustom() {
+      if(this.pageId) {
+        this.router.navigate( ['/pageContents/'], { queryParams: { "community": this.communityId, "page": this.pageId  } } );
+      } else {
+        this.router.navigate(['/pageContents']);
+      }
     }
 }
Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/new-page-help-content.component.ts
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/new-page-help-content.component.ts	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/new-page-help-content.component.ts	(revision 50388)
@@ -41,6 +41,7 @@
 
         if(this.formComponent.myForm.valid) {
             let pageHelpContent : PageHelpContent = this.formComponent.myForm.value;
+
             this._helpContentService.savePageHelpContent(pageHelpContent).subscribe(
                 _ => {
                   if(this.pageId) {
@@ -56,6 +57,14 @@
         }
     }
 
+    private cancelCustom() {
+      if(this.pageId) {
+        this.router.navigate( ['/pageContents/'], { queryParams: { "community": this.communityId, "page": this.pageId  } } );
+      } else {
+        this.router.navigate(['/pageContents']);
+      }
+    }
+
     handleError(message: string, error) {
         this.errorMessage = message + ' (Server responded: ' + error + ')';
 
Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/page-help-content-form.component.ts
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/page-help-content-form.component.ts	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/page-help-content-form.component.ts	(revision 50388)
@@ -18,6 +18,8 @@
     myForm: FormGroup;
     @Input('communityId')
     communityId: string;
+    @Input('pageId')
+    pageId: string;
 
     private availablePages : Page[] = [];
     private errorMessage: string;
@@ -35,7 +37,7 @@
 
     public get form() {
         return this._fb.group({
-            page : ['',Validators.required],
+            page : [this.pageId,Validators.required],
             community : this.communityId,
             placement : ['', Validators.required],
             content : ['', Validators.required],
Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/edit-page-help-content.component.html
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/edit-page-help-content.component.html	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/edit-page-help-content.component.html	(revision 50388)
@@ -12,9 +12,9 @@
 
             <div>
                 <div *ngIf="errorMessage" class="uk-alert-danger" uk-alert>{{errorMessage}}</div>
-                <page-content-form [communityId]="communityId" [group]="formGroup"></page-content-form>
-                <a [queryParams]="{community: communityId, page: pageId}" routerLink="/pageContents" class="btn"><i></i>Cancel</a>
-                <a (click)="saveCustom()" class="btn btn-success"><i></i>Update page content</a>
+                <page-content-form [communityId]="communityId" [pageId]="pageId" [group]="formGroup"></page-content-form>
+                <button (click)="cancelCustom()" class="uk-button uk-button-link">Cancel</button>
+                <button (click)="saveCustom()" class="uk-button uk-button-primary">Update page content</button>
             </div>
         </div>
     </div>
Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/pages.component.html
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/pages.component.html	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/pages.component.html	(revision 50388)
@@ -233,7 +233,7 @@
                                                 </div>
                                             </td>
                                             <td>
-                                              <a class="helpContents" [queryParams]="{community: selectedCommunityId, page: check.page._id}" routerLink="/pageContents">edit</a>
+                                              <a class="helpContents" [queryParams]="{community: selectedCommunityId, page: check.page._id}" routerLink="/pageContents">add contents</a>
                                             </td>
                                         </tr>
                                     </tbody>
Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/entity-form.component.ts
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/entity-form.component.ts	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/entity-form.component.ts	(revision 50388)
@@ -19,7 +19,9 @@
 
     public get form() {
         return this._fb.group({
+            pid: ['', Validators.required],
             name : ['', Validators.required],
+            isEnabled: '',
             _id : ''
         });
     }
@@ -26,7 +28,9 @@
 
     public reset() {
         this.myForm.patchValue({
+            pid: '',
             name : '',
+            isEnabled: '',
             _id : ''
         });
     }
Index: modules/uoa-admin-portal/trunk/app/pages/helpcontent/new-page-help-content.component.html
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/helpcontent/new-page-help-content.component.html	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/helpcontent/new-page-help-content.component.html	(revision 50388)
@@ -12,9 +12,9 @@
 
             <div>
                 <div *ngIf="errorMessage" class="uk-alert-danger" uk-alert>{{errorMessage}}</div>
-                <page-content-form [communityId]="communityId" [group]="formGroup"></page-content-form>
-                <a [queryParams]="{community: communityId, page: pageId}" routerLink="/pageContents" class="btn"><i></i>Cancel</a>
-                <a (click)="saveCustom()" class="btn btn-success"><i></i>Save page content</a>
+                <page-content-form [communityId]="communityId" [pageId]="pageId" [group]="formGroup"></page-content-form>
+                <button (click)="cancelCustom()" class="uk-button uk-button-link">Cancel</button>
+                <button (click)="saveCustom()" class="uk-button uk-button-primary">Save page content</button>
             </div>
         </div>
     </div>
Index: modules/uoa-admin-portal/trunk/app/pages/community/community-form.component.html
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/community/community-form.component.html	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/community/community-form.component.html	(revision 50388)
@@ -1,7 +1,11 @@
 <form [formGroup]="myForm">
     <div class="form-group" [ngClass]="{'has-error':!myForm.controls.name.valid && myForm.controls.name.dirty}">
-        <label for="pageNameTag">Community Name</label>
+        <label for="communityNameTag">Community Name</label>
         <input type="text" class="form-control" formControlName="name" id="pageNameTag" placeholder="Community Name">
     </div>
+    <div class="form-group" [ngClass]="{'has-error':!myForm.controls.pid.valid && myForm.controls.pid.dirty}">
+        <label for="communityPidTag">Community persistent id for portal</label>
+        <input type="text" class="uk-input uk-width-medium" formControlName="pid" id="communityPidTag" placeholder="Community Pid">
+    </div>
     <input type="hidden" formControlName="_id">
 </form>
Index: modules/uoa-admin-portal/trunk/app/pages/community/community-form.component.ts
===================================================================
--- modules/uoa-admin-portal/trunk/app/pages/community/community-form.component.ts	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/pages/community/community-form.component.ts	(revision 50388)
@@ -21,6 +21,7 @@
     public get form() {
         return this._fb.group({
             _id : '',
+            pid: ['', Validators.required],
             name : ['', Validators.required]
         });
     }
@@ -28,7 +29,8 @@
     public reset() {
         this.myForm.patchValue({
             name : '',
-            _id : ''
+            _id : '',
+            pid: ''
         });
     }
 
Index: modules/uoa-admin-portal/trunk/app/services/help-content.service.ts
===================================================================
--- modules/uoa-admin-portal/trunk/app/services/help-content.service.ts	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/services/help-content.service.ts	(revision 50388)
@@ -218,7 +218,7 @@
     }
 
     getCommunityPageHelpContents(community_id: string) {
-        return this.http.get(this._helpContentUrl + 'pagehelpcontent/community/'+community_id)
+        return this.http.get(this._helpContentUrl + 'pagehelpcontent?communityId='+community_id)
             .map(res => <Array<PageHelpContent>> res.json())
             .catch(this.handleError);
     }
Index: modules/uoa-admin-portal/trunk/app/app.component.html
===================================================================
--- modules/uoa-admin-portal/trunk/app/app.component.html	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/app.component.html	(revision 50388)
@@ -80,7 +80,7 @@
 
          </li>
          <li class="uk-nav-header uk-parent">
-           Help Content
+           Manage Help Content
 
             <ul class="uk-nav-sub">
               <li>
Index: modules/uoa-admin-portal/trunk/app/domain/entity.ts
===================================================================
--- modules/uoa-admin-portal/trunk/app/domain/entity.ts	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/domain/entity.ts	(revision 50388)
@@ -1,5 +1,6 @@
 export class Entity {
     _id: string;
+    pid: string;
     name: string;
     isEnabled :boolean;
 }
Index: modules/uoa-admin-portal/trunk/app/domain/community.ts
===================================================================
--- modules/uoa-admin-portal/trunk/app/domain/community.ts	(revision 50387)
+++ modules/uoa-admin-portal/trunk/app/domain/community.ts	(revision 50388)
@@ -3,6 +3,7 @@
 
 export interface Community {
     _id: string;
+    pid: string;
     name: string;
     entities: string[] | Entity[];
     pages: string[] | Page[];