Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/find/search.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/find/search.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/searchPages/find/search.component.ts	(revision 53027)
@@ -155,7 +155,7 @@
           this.showOrganizations =   showEntity["organization"];
           this.showDataProviders =   showEntity["datasource"];
           this.showSoftware =  showEntity["software"];
-          this.showOrps =   true;//showEntity["other"];
+          this.showOrps =   showEntity["other"];
 
           this.sub =  this.route.queryParams.subscribe(params => {
 
@@ -196,7 +196,9 @@
 
 
   public ngOnDestroy() {
-    this.sub.unsubscribe();
+    if(this.sub){
+      this.sub.unsubscribe();
+    }
     if(this.piwiksub){
         this.piwiksub.unsubscribe();
       }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/orp/orp.component.html
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/orp/orp.component.html	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/orp/orp.component.html	(revision 53027)
@@ -134,7 +134,7 @@
                 <ul uk-accordion class="uk-padding-remove citation-accordion">
                   <li>
                     <div class="sideInfoTitle uk-accordion-title cite-this-button uk-width-1-1" type="button">
-                      Cite this reasearch data
+                      Cite this research product
                     </div>
                     <div class="uk-accordion-content">
                       <citeThis [result]="orpInfo" [id]="orpId" type="other research product"></citeThis>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/orp/orp.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/orp/orp.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/orp/orp.component.ts	(revision 53027)
@@ -81,7 +81,7 @@
                 this.getOrpInfo(this.orpId);
             }else{
               this.showLoading = false;
-                this.warningMessage="No valid other research product id";
+                this.warningMessage="No valid research product id";
             }
 
             this.metricsClicked = false;
@@ -98,7 +98,9 @@
     }
 
     ngOnDestroy() {
-      this.sub.unsubscribe();
+      if(this.sub){
+        this.sub.unsubscribe();
+      }
       if(this.piwiksub){
         this.piwiksub.unsubscribe();
       }
@@ -142,7 +144,7 @@
                 console.log(err)
                 console.info("error");
 
-                this.errorMessage = 'No other research product found';
+                this.errorMessage = 'No research product found';
                 this.showLoading = false;
             }
         );
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/dataProvider.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 53027)
@@ -148,7 +148,9 @@
  }
 
    ngOnDestroy() {
-     this.sub.unsubscribe();
+     if(this.sub){
+       this.sub.unsubscribe();
+     }
      if(this.piwiksub){
        this.piwiksub.unsubscribe();
      }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/organization/organization.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/organization/organization.component.ts	(revision 53027)
@@ -149,7 +149,9 @@
 
 
     ngOnDestroy() {
-      this.sub.unsubscribe();
+      if(this.sub){
+        this.sub.unsubscribe();
+      }
       if(this.piwiksub){
         this.piwiksub.unsubscribe();
       }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataset/dataset.component.html
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataset/dataset.component.html	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataset/dataset.component.html	(revision 53027)
@@ -299,7 +299,7 @@
                   <ul uk-accordion class="uk-padding-remove citation-accordion">
                       <li>
                         <div class="sideInfoTitle uk-accordion-title cite-this-button uk-width-1-1" type="button">
-                          Cite this reasearch data
+                          Cite this research data
                         </div>
                           <div class="uk-accordion-content">
                             <citeThis [result]="datasetInfo" [id]="datasetId" type="research data"></citeThis>
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataset/dataset.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataset/dataset.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/dataset/dataset.component.ts	(revision 53027)
@@ -101,7 +101,9 @@
     }
 
     ngOnDestroy() {
-      this.sub.unsubscribe();
+      if(this.sub){
+        this.sub.unsubscribe();
+      }
       if(this.piwiksub){
         this.piwiksub.unsubscribe();
       }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/project/project.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/project/project.component.ts	(revision 53027)
@@ -214,7 +214,9 @@
  this.fetchOrps.getNumForEntity("project", this.projectId, this.properties);
 }
   ngOnDestroy() {
-    this.sub.unsubscribe();
+    if(this.sub){
+      this.sub.unsubscribe();
+    }
     if(this.piwiksub){
       this.piwiksub.unsubscribe();
     }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/publication/publication.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/publication/publication.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/publication/publication.component.ts	(revision 53027)
@@ -114,7 +114,9 @@
   }
 
     ngOnDestroy() {
-        this.sub.unsubscribe();
+        if(this.sub){
+          this.sub.unsubscribe();
+        }
         if(this.piwiksub){
           this.piwiksub.unsubscribe();
         }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/software/software.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/software/software.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/landingPages/software/software.component.ts	(revision 53027)
@@ -100,7 +100,9 @@
     }
 
     ngOnDestroy() {
-      this.sub.unsubscribe();
+      if(this.sub){
+        this.sub.unsubscribe();
+      }
       if(this.piwiksub){
         this.piwiksub.unsubscribe();
       }
Index: modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/displayClaims/displayClaims.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/displayClaims/displayClaims.component.ts	(revision 53026)
+++ modules/uoa-services-library/trunk/ng-openaire-library-production/src/app/claims/claim-utils/displayClaims/displayClaims.component.ts	(revision 53027)
@@ -56,6 +56,7 @@
       .subscribe((term: string) =>    {
         console.log("change!")
         this.keyword = this.inputkeyword;
+        //console.log("keyword: "+this.keyword + " VS inputkeyword: "+this.inputkeyword);
         this.page = 1;
         this.goTo();
       });
@@ -65,6 +66,7 @@
   }
   ngOnDestroy() {
     this.sub.unsubscribe();
+    //this.searchTermStreamSub.unsubscribe();
   }
     sub: any;
   //string because comes as input from component directive
@@ -358,7 +360,7 @@
    changekeyword(){
      console.log("changekeyword")
      if(this.inputkeyword.length >= 3 || this.inputkeyword.length == 0 ){
-       this.searchTermStream.next(this.keyword);
+       this.searchTermStream.next(this.inputkeyword);
 
 
      }