Index: modules/uoa-admin-portal/branches/project-cli/src/app/app.component.html
===================================================================
--- modules/uoa-admin-portal/branches/project-cli/src/app/app.component.html	(revision 53562)
+++ modules/uoa-admin-portal/branches/project-cli/src/app/app.component.html	(revision 53563)
@@ -3,7 +3,7 @@
 
 <div  id="wrapper" class="uk-section uk-margin-top uk-padding-remove-bottom">
   <div class="uk-grid" uk-height-viewport="expand: true">
-    <div *ngIf="communityId && communityId!=''" id="sidebar" class="uk-width-1-5 uk-light sidebar">
+    <div *ngIf="communityId && communityId!=''" id="sidebar" class="uk-width-1-5 uk-light sidebar uk-margin-top uk-margin-left">
       <ul class="uk-nav uk-nav-default sidebar">
         <li class="uk-nav-header uk-parent">
 
@@ -185,7 +185,7 @@
 
     </div>
 
-  <div class="uk-width-expand uk-container uk-margin-top uk-margin-medium-bottom">
+  <div class="uk-width-expand uk-container uk-margin-large-top uk-margin-medium-bottom">
 
   <!-- <div class="uk-width-expand"> -->
     <router-outlet></router-outlet>
Index: modules/uoa-admin-portal/branches/project-cli/src/app/dashboard.component.html
===================================================================
--- modules/uoa-admin-portal/branches/project-cli/src/app/dashboard.component.html	(revision 53562)
+++ modules/uoa-admin-portal/branches/project-cli/src/app/dashboard.component.html	(revision 53563)
@@ -2,7 +2,7 @@
     <div id="content">
 
         <div class="content-wrapper">
-            <div class="uk-child-width-1-3@m uk-grid-small uk-grid-match uk-grid" uk-grid="">
+            <div class="uk-child-width-1-3@m uk-grid-small uk-grid-match uk-grid uk-margin-top" uk-grid="">
                   <div *ngIf="communityId != 'openaire'" class="uk-card uk-card-default uk-card-body uk-card-hover uk-width-1-3@m uk-first-column">
                       <h3 class="uk-card-title">
                         <span class="uk-margin-small-right uk-icon" uk-icon="album"></span>
Index: modules/uoa-admin-portal/branches/project-cli/src/app/pages/stats/stats.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/project-cli/src/app/pages/stats/stats.component.ts	(revision 53562)
+++ modules/uoa-admin-portal/branches/project-cli/src/app/pages/stats/stats.component.ts	(revision 53563)
@@ -73,7 +73,13 @@
         this.statisticsSum = null;
         this.statisticsDisplay = null;
         this.contentService.getCommunityStatistics(this.properties.statisticsAPIURL, this.communityId).subscribe(
-            stats => this.statisticsSum = stats,
+            stats => {
+
+              this.statisticsSum = stats;
+              if(stats["other"]){ //hack because in stats API the entity name is "other" while in admin API is "orp". This component uses also "orp" name
+                this.statisticsSum["orp"]=stats["other"];
+              }
+            },
             error => {
                 //this.loadingMessage = '';
                 //this.errorMessage = 'Failed to retrieve statistics for the chosen community!';
@@ -173,7 +179,13 @@
             softwareGraph: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}chart.php?com=query&data={"query":"comOASoft","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"pie","yaxis":1,"c":false}],"xaxis":{"name":"bestlicense","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"order":"d","yaxisheaders":[""],"fieldsheaders":[""],"in":[],"filters":[],"having":[],"incfilters":[],"inchaving":[],"title":"Software by access mode","subtitle":"","xaxistitle":"","nulls":true}&w=70%&h=70%`),
             softwareProjectcolumn: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}chart.php?com=query&data={"query":"comProjectSoft","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"bar","yaxis":1,"c":false}],"xaxis":{"name":"year","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"yaxisheaders":["Software"],"fieldsheaders":["software"],"in":[],"filters":[{"name":"year","max":"2013","min":"2007","to":-1},{"name":"result_projects-project-funding_lvl0","values":["FP7"],"to":"-1"},{"name":"type","values":["publication"],"to":"-1"},{"name":"result_projects-project-funding_lvl2","values":["ERC"],"to":"-1"}],"having":[],"incfilters":[],"inchaving":[],"title":"Software per project","subtitle":"","xaxistitle":"Project"}&w=70%&h=90%`),
             softwareProjectpie: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}chart.php?com=query&data={"query":"comProjectSoft","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"pie","yaxis":1,"c":false}],"xaxis":{"name":"year","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"yaxisheaders":[""],"fieldsheaders":["software"],"in":[],"filters":[{"name":"year","max":"2013","min":"2007","to":-1},{"name":"result_projects-project-funding_lvl0","values":["FP7"],"to":"-1"},{"name":"type","values":["publication"],"to":"-1"},{"name":"result_projects-project-funding_lvl2","values":["ERC"],"to":"-1"}],"having":[],"incfilters":[],"inchaving":[],"title":"Software per project","subtitle":"","xaxistitle":"Project"}&w=91%&h=90%`),
-            softwareProjecttable: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}gtable.php?com=query&data={"query":"comProjectSoft","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"bar","yaxis":1,"c":false}],"xaxis":{"name":"year","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"yaxisheaders":["Software"],"fieldsheaders":["Software"],"in":[],"filters":[{"name":"year","max":"2013","min":"2007","to":-1},{"name":"result_projects-project-funding_lvl0","values":["FP7"],"to":"-1"},{"name":"type","values":["publication"],"to":"-1"},{"name":"result_projects-project-funding_lvl2","values":["ERC"],"to":"-1"}],"having":[],"incfilters":[],"inchaving":[],"title":"","subtitle":"","xaxistitle":"Project"}&w=90%&h=83%`)
+            softwareProjecttable: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}gtable.php?com=query&data={"query":"comProjectSoft","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"bar","yaxis":1,"c":false}],"xaxis":{"name":"year","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"yaxisheaders":["Software"],"fieldsheaders":["Software"],"in":[],"filters":[{"name":"year","max":"2013","min":"2007","to":-1},{"name":"result_projects-project-funding_lvl0","values":["FP7"],"to":"-1"},{"name":"type","values":["publication"],"to":"-1"},{"name":"result_projects-project-funding_lvl2","values":["ERC"],"to":"-1"}],"having":[],"incfilters":[],"inchaving":[],"title":"","subtitle":"","xaxistitle":"Project"}&w=90%&h=83%`),
+
+            orpTimeline: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}chart.php?com=query&data={"query":"comTimelineOther","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"column","yaxis":1,"c":false}],"xaxis":{"name":"year","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"yaxisheaders":["Other Research products"],"fieldsheaders":["Other Research products"],"in":[{"f":0,"text":"Yearly"}],"filters":[{"name":"year","max":"2013","min":"2007","to":-1},{"name":"result_projects-project-funding_lvl0","values":["FP7"],"to":"-1"},{"name":"type","values":["publication"],"to":"-1"},{"name":"result_projects-project-funding_lvl2","values":["ERC"],"to":"-1"}],"having":[],"incfilters":[],"inchaving":[],"title":"Other Research products through the years","subtitle":"","xaxistitle":"Year"}&w=70%&h=83%`),
+            orpGraph: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}chart.php?com=query&data={"query":"comOAOther","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"pie","yaxis":1,"c":false}],"xaxis":{"name":"bestlicense","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"order":"d","yaxisheaders":[""],"fieldsheaders":[""],"in":[],"filters":[],"having":[],"incfilters":[],"inchaving":[],"title":"Other Research products by access mode","subtitle":"","xaxistitle":"","nulls":true}&w=70%&h=70%`),
+            orpProjectcolumn: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}chart.php?com=query&data={"query":"comProjectOther","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"bar","yaxis":1,"c":false}],"xaxis":{"name":"year","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"yaxisheaders":["Other Research products"],"fieldsheaders":["Other Research products"],"in":[],"filters":[{"name":"year","max":"2013","min":"2007","to":-1},{"name":"result_projects-project-funding_lvl0","values":["FP7"],"to":"-1"},{"name":"type","values":["publication"],"to":"-1"},{"name":"result_projects-project-funding_lvl2","values":["ERC"],"to":"-1"}],"having":[],"incfilters":[],"inchaving":[],"title":"Other Research products per project","subtitle":"","xaxistitle":"Project"}&w=70%&h=90%`),
+            orpProjectpie: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}chart.php?com=query&data={"query":"comProjectOther","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"pie","yaxis":1,"c":false}],"xaxis":{"name":"year","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"yaxisheaders":[""],"fieldsheaders":["Other Research products"],"in":[],"filters":[{"name":"year","max":"2013","min":"2007","to":-1},{"name":"result_projects-project-funding_lvl0","values":["FP7"],"to":"-1"},{"name":"type","values":["publication"],"to":"-1"},{"name":"result_projects-project-funding_lvl2","values":["ERC"],"to":"-1"}],"having":[],"incfilters":[],"inchaving":[],"title":"Other Research products per project","subtitle":"","xaxistitle":"Project"}&w=91%&h=90%`),
+            orpProjecttable: this.sanitizer.bypassSecurityTrustResourceUrl(`${this.properties.statisticsFrameAPIURL}gtable.php?com=query&data={"query":"comProjectOther","comId":"${this.communityId}","table":"result","fields":[{"fld":"number","agg":"count","type":"bar","yaxis":1,"c":false}],"xaxis":{"name":"year","agg":"avg"},"group":"","color":"","type":"chart","size":30,"sort":"xaxis","xStyle":{"r":"-","s":"-","l":"-","ft":"-","wt":"-"},"yaxisheaders":["Other Research products"],"fieldsheaders":["Other Research products"],"in":[],"filters":[{"name":"year","max":"2013","min":"2007","to":-1},{"name":"result_projects-project-funding_lvl0","values":["FP7"],"to":"-1"},{"name":"type","values":["publication"],"to":"-1"},{"name":"result_projects-project-funding_lvl2","values":["ERC"],"to":"-1"}],"having":[],"incfilters":[],"inchaving":[],"title":"","subtitle":"","xaxistitle":"Project"}&w=90%&h=83%`)
         };
     }
 
Index: modules/uoa-admin-portal/branches/project-cli/src/app/pages/wellcome/wellcome.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/project-cli/src/app/pages/wellcome/wellcome.component.ts	(revision 53562)
+++ modules/uoa-admin-portal/branches/project-cli/src/app/pages/wellcome/wellcome.component.ts	(revision 53563)
@@ -9,16 +9,18 @@
      <div class="uk-width-1-1">
         <div class="uk-position-relative">
            <div class="uk-container uk-margin-medium">
-              <div class="tm-header-placeholder uk-margin-medium" style="height: 84px;"></div>
+              <div class="tm-header-placeholder uk-margin-medium" style=""></div>
               <div class="search_box_bg uk-grid-large uk-flex-middle uk-grid uk-grid-stack" uk-grid="">
-                <div class="uk-width-1-1@m uk-first-column uk-light">
-                   <p class="uk-margin-large uk-text-center uk-h1 uk-scrollspy-inview" style="" uk-scrollspy-class="">
-                      Research Community Administration Dashboard
-                   </p>
-                   <p class="uk-text-center uk-h3 uk-scrollspy-inview" style="" uk-scrollspy-class="">
-                      Are you a community manager? Configure your Research Community Dashboard
-                   </p>
+
+                <div class="uk-width-1-1@m uk-first-column">
+                   <h1 class="uk-text-left uk-heading-hero uk-text-primary uk-scrollspy-inview uk-animation-slide-top" uk-scrollspy-class="" style="">
+                      Research Community <br>Administration Dashboard
+                   </h1>
+                   <h2 class="uk-text-left uk-scrollspy-inview uk-animation-slide-top" uk-scrollspy-class="" style="">
+                      Are you a community manager?<br> Configure your Research Community Dashboard
+                   </h2>
                 </div>
+
               </div>
            </div>
 
Index: modules/uoa-admin-portal/branches/project-cli/src/app/pages/claims/claims.component.ts
===================================================================
--- modules/uoa-admin-portal/branches/project-cli/src/app/pages/claims/claims.component.ts	(revision 53562)
+++ modules/uoa-admin-portal/branches/project-cli/src/app/pages/claims/claims.component.ts	(revision 53563)
@@ -1,9 +1,11 @@
 
 import { Component, ViewChild, OnInit } from '@angular/core';
 import { ActivatedRoute } from '@angular/router';
+import {EnvProperties} from '../../openaireLibrary/utils/properties/env-properties';
+
 @Component({
     selector: 'claims',
-    template: `    <claims-admin fetchBy="Context" [fetchId]=communityPid [isConnect]="true">
+    template: `    <claims-admin fetchBy="Context" [fetchId]=communityPid [isConnect]="true" [claimsInfoURL]=claimsInfoURL [moreClaimsURL]="'https://beta.'+communityPid+'.openaire.eu/participate/claim'">
     </claims-admin>`,
 })
 
@@ -10,6 +12,8 @@
 export class ClaimsComponent implements OnInit {
 
     communityPid:string;
+    claimsInfoURL:string;
+
     ngOnInit() {
 
             this.route.queryParams.subscribe(params => {
@@ -16,11 +20,12 @@
               this.communityPid = params['communityId'];
 
              });
-
+             this.route.data.subscribe((data: { envSpecific: EnvProperties }) => {
+                    this.claimsInfoURL = data.envSpecific.claimsInformationLink;
+                    console.log(this.claimsInfoURL);
+            });
     }
 
     constructor(private route: ActivatedRoute) {}
 
-
-
 }
Index: modules/uoa-admin-portal/branches/project-cli/src/assets/imgs/wellcome.jpg
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: modules/uoa-admin-portal/branches/project-cli/src/assets/css/connect-custom.css
===================================================================
--- modules/uoa-admin-portal/branches/project-cli/src/assets/css/connect-custom.css	(revision 53562)
+++ modules/uoa-admin-portal/branches/project-cli/src/assets/css/connect-custom.css	(revision 53563)
@@ -1,3 +1,24 @@
+:root {
+
+--portal-main-color: #222080;
+/* --portal-main-contrast: #2E2E2E;  */
+--portal-main-contrast: white;
+--portal-dark-color: #4687E6;
+
+--openaire-main-color: #313179;
+
+--explore-portal-color: #D95F2D;
+--provide-portal-color: #37C7E9;
+--monitor-portal-color: #9ABB55;
+--connect-portal-color: #EBB13E;
+--develop-portal-color: #DA65AB;
+
+--explore-portal-lower-tone: #a0462c;
+--provide-portal-lower-tone: #3A8FA3;
+--monitor-portal-lower-tone: #7c9144;
+--connect-portal-lower-tone: #b48536;
+--develop-portal-lower-tone: #9f4e7e;
+}
 .tm-toolbar .uk-subnav-line .custom-connect-li, .tm-toolbar .uk-subnav-line .custom-connect-admin-li {
    display: block;
   background:#DEAF50 !important; color:#fff !important;
@@ -21,6 +42,8 @@
 
 .red_background_color:hover {
   background-color: #FF3030;
+  border-color: #FF3030;
+  color: #767779 !important;
 }
 
 .green_color {
@@ -29,6 +52,8 @@
 
 .green_background_color:hover {
   background-color: lightgreen;
+  border-color: lightgreen;
+  color: #767779 !important;
 }
 
 .wellcomePage{
@@ -43,8 +68,9 @@
  box-shadow:0 6px 50px rgba(0,0,0,0.05)
 }
 
+
 .connect-admin-menu{
-  background-color: #05007A !important;
+  background-color:  var(--portal-main-color); !important;
 }
 
 .connect-admin-menu .uk-navbar-nav > li > a{
Index: modules/uoa-admin-portal/branches/project-cli/src/assets/env-properties.json
===================================================================
--- modules/uoa-admin-portal/branches/project-cli/src/assets/env-properties.json	(revision 53562)
+++ modules/uoa-admin-portal/branches/project-cli/src/assets/env-properties.json	(revision 53563)
@@ -96,5 +96,11 @@
   "searchLinkToAdvancedSoftware" : "/search/advanced/software",
   "searchLinkToAdvancedDataProviders" : "/search/advanced/dataproviders",
   "searchLinkToAdvancedOrganizations" : "/search/advanced/organizations",
-  "searchLinkToAdvancedPeople" : "/search/advanced/people"
+  "searchLinkToAdvancedPeople" : "/search/advanced/people",
+
+  "lastIndexInformationLink" : "https://www.openaire.eu/aggregation-and-content-provision-workflows",
+  "showLastIndexInformationLink" : false,
+
+  "widgetLink" : "https://beta.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
+  "claimsInformationLink": "https://www.openaire.eu/linking-beta"
 }
Index: modules/uoa-admin-portal/branches/project-cli/connect-admin-production-properties.json
===================================================================
--- modules/uoa-admin-portal/branches/project-cli/connect-admin-production-properties.json	(revision 53562)
+++ modules/uoa-admin-portal/branches/project-cli/connect-admin-production-properties.json	(revision 53563)
@@ -2,11 +2,11 @@
   "enablePiwikTrack" : false,
   "enableHelper" : true,
   "useCache" : true,
-  "metricsAPIURL" : "https://beta.services.openaire.eu/usagestats/",
-  "framesAPIURL" : "https://beta.openaire.eu/stats3/",
+  "metricsAPIURL" : "https://services.openaire.eu/usagestats/",
+  "framesAPIURL" : "https://www.openaire.eu/stats3/",
   "statisticsAPIURL" : "https://beta.services.openaire.eu/stats-api/",
-  "statisticsFrameAPIURL":"https://beta.openaire.eu/stats/",
-  "claimsAPIURL" : "https://beta.services.openaire.eu/claims/rest/claimsService/",
+  "statisticsFrameAPIURL":"https://www.openaire.eu/stats/",
+  "claimsAPIURL" : "https://services.openaire.eu/claims/rest/claimsService/",
   "searchAPIURLLAst"     : "https://services.openaire.eu/search/v2/api/",
   "searchResourcesAPIURL"     : "https://services.openaire.eu/search/v2/api/resources",
   "csvAPIURL" : "https://services.openaire.eu/search/v2/api/reports",
@@ -30,7 +30,7 @@
   "vocabulariesAPI" :"https://services.openaire.eu/provision/mvc/vocabularies/",
 
   "piwikBaseUrl" :" https://analytics.openaire.eu/piwik.php?idsite=6",
-  "loginUrl" :"https://beta.services.openaire.eu/admin-user-management/openid_connect_login",
+  "loginUrl" :"https://services.openaire.eu/admin-user-management/openid_connect_login",
 
   "logoutUrl" :"https://aai.openaire.eu/proxy/saml2/idp/SingleLogoutService.php?ReturnTo=",
 
@@ -45,7 +45,7 @@
 
   "cacheUrl" :"https://explore.openaire.eu/cache/get?url=",
 
-  "adminToolsAPIURL" :"https://beta.services.openaire.eu/uoa-admin-tools/",
+  "adminToolsAPIURL" :"https://services.openaire.eu/uoa-admin-tools/",
 
   "adminToolsCommunity" :"openaire",
 