Index: modules/uoa-connect-portal/trunk/src/app/htmlPages/htmlPage.service.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/htmlPages/htmlPage.service.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/htmlPages/htmlPage.service.ts	(revision 54781)
@@ -11,7 +11,7 @@
     constructor(private http: Http) {}
 
     getHtmlContent (router: string, properties:EnvProperties, communityId:string ):any {
-        console.info("get router html content for : "+router);
+        //console.info("get router html content for : "+router);
 
         let url = properties.adminToolsAPIURL + '/htmlpagecontent?community='+communityId+'&page='+router;
 
Index: modules/uoa-connect-portal/trunk/src/app/community/community.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/community/community.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/community/community.component.ts	(revision 54781)
@@ -116,7 +116,7 @@
                           // emptyCommunity.id = this.masterZenodoCommunityId;
                           // emptyCommunity.title = this.masterZenodoCommunityId;
                           // this.masterZenodoCommunity = emptyCommunity;
-                          console.log("Master Zenodo community'" + this.community.zenodoCommunity + "' couldn't be loaded");
+                          //console.log("Master Zenodo community'" + this.community.zenodoCommunity + "' couldn't be loaded");
 
 
                         }
@@ -130,7 +130,7 @@
 
                         },
                         error => {
-                          console.log("list of zenodo communities couldn't be loaded");
+                          console.error("list of zenodo communities couldn't be loaded");
                         } //this.handleError('System error retrieving community profile', error)
                       );
 
Index: modules/uoa-connect-portal/trunk/src/app/searchPages/simple/searchDataproviders.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/searchPages/simple/searchDataproviders.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/searchPages/simple/searchDataproviders.component.ts	(revision 54781)
@@ -99,9 +99,8 @@
       this.subResults = this._searchDataprovidersService.searchDataproviders(this.properties, this.communityId).subscribe(
           data => {
             //this.filters = this.createFilters(data, params);
-            console.info(data);
             this.searchUtils.totalResults = data.length;
-            console.info("search Content Providers [total results:"+this.searchUtils.totalResults+"]");
+            //console.info("search Content Providers [total results:"+this.searchUtils.totalResults+"]");
             this.results = data;
 
             //this.searchPage.checkSelectedFilters(this.filters);
Index: modules/uoa-connect-portal/trunk/src/app/searchPages/simple/searchProjects.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/searchPages/simple/searchProjects.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/searchPages/simple/searchProjects.component.ts	(revision 54781)
@@ -100,9 +100,8 @@
           data => {
             this.filters = this.createFilters(data, params);
 
-            console.info(data);
             this.searchUtils.totalResults = data.length;
-            console.info("search Projects [total results:"+this.searchUtils.totalResults+"]");
+            //console.info("search Projects [total results:"+this.searchUtils.totalResults+"]");
             this.results = data;
 
             this.searchPage.checkSelectedFilters(this.filters);
@@ -177,7 +176,6 @@
       }
        var filter:Filter = {title: filter_names[i], filterId: filter_ids[i], originalFilterId:  filter_original_ids[i], values : values, countSelectedValues:0, "filterOperator": 'or', valueIsExact: true };
        filters.push(filter);
-       console.info(filter);
     }
     return filters;
   }
Index: modules/uoa-connect-portal/trunk/src/app/statistics/statistics.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/statistics/statistics.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/statistics/statistics.component.ts	(revision 54781)
@@ -127,12 +127,10 @@
         this.status = this.errorCodes.LOADING;
         this._statisticsService.getCommunityStatistics(this.properties.statisticsAPIURL,this.communityId).subscribe (
             res => {
-                console.log('statisticsSum is:');
                 this.statisticsSum = res;
                 if(res["other"]){ //hack because in stats API the entity name is "other" while in admin API is "orp". This component uses also "orp" name
                   this.statisticsSum["orp"]=res["other"];
                 }
-                console.log(this.statisticsSum);
                 this.getDisplayOptions();
             },
             error => {
Index: modules/uoa-connect-portal/trunk/src/app/utils/subscribe/subscribe.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/utils/subscribe/subscribe.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/utils/subscribe/subscribe.component.ts	(revision 54781)
@@ -83,7 +83,6 @@
              this._communityService.getCommunity(this.properties, this.properties.communityAPI+this.communityId).subscribe (
                community => {
                         this.community = community;
-                        console.log(this.community);
                },
                error => console.log('System error retrieving community profile', error)
              );
@@ -103,7 +102,6 @@
         this._subscribeService.subscribeToCommunity(this.communityId, email, this.properties.adminToolsAPIURL).subscribe (
           res => {
             this.loading = false;
-             console.log(res);
              if(res.status && res.status != 200) {
                UIkit.notification({
                    message : '<strong>An error occured. Please try again!<strong>',
@@ -116,7 +114,7 @@
                  this.subscribed = true;
                  this._emailService.sendEmail(this.properties.adminToolsAPIURL + "/notifyForNewSubscribers/" + this.communityId, Composer.composeEmailToInformManagers(this.community.title, this.communityId, this.community.managers, email)).subscribe(
                    res => {
-                     console.log("The email has been sent successfully!")
+                     //console.log("The email has been sent successfully!")
                    },
                    error => {
 
@@ -157,7 +155,7 @@
                   pos     : 'top-center'
               });
             } else {
-             console.log(res);
+             //console.log(res);
              if(this.subscribed){
                this.subscribed = false;
              }
Index: modules/uoa-connect-portal/trunk/src/app/utils/subscribe/invite/invite.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/utils/subscribe/invite/invite.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/utils/subscribe/invite/invite.component.ts	(revision 54781)
@@ -87,7 +87,7 @@
               community => {
                 this.community = community;
                 this.fullname = Session.getUserFullName();
-                console.log("Fullname from session " + Session.getUserFullName());
+                //console.log("Fullname from session " + Session.getUserFullName());
 
                 this.body = Composer.initializeInvitationsBody(this.communityId, this.community.title, this.fullname);
                 this.email = Composer.initializeInvitationsEmail(community.title);
@@ -107,7 +107,6 @@
   }
 
   public scroll() {
-    console.info("scroll into view");
     if (typeof document !== 'undefined') {
        this.element.nativeElement.scrollIntoView();
     }
@@ -122,13 +121,11 @@
       if (!this.isEmpty(this.recipients) && this.body.fromName != "") {
         if (this.validateEmails()) {
           this.composeEmail();
-          console.log(this.email.body);
 
           this._emailService.sendEmail(this.properties.adminToolsAPIURL + "/sendMail/", this.email).subscribe(
               res => {
-                console.log("The email has been sent successfully!");
                 this.status = this.errorCodes.DONE;
-                console.log("Emails Sent: ",res);
+                //console.log("Emails Sent: ",res);
                 /*if(res == 0) {
 
                 } else if(res > 1) {
@@ -205,7 +202,6 @@
           this.email.recipients.push(email[i]);
         }
       }
-      console.log(this.email.recipients);
       return true;
   }
 
Index: modules/uoa-connect-portal/trunk/src/app/utils/services/statistics.service.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/utils/services/statistics.service.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/utils/services/statistics.service.ts	(revision 54781)
@@ -12,17 +12,15 @@
 
     getCommunityStatistics(apiUrl: string, communityId: string): Observable<StatisticsSummary> {
         let url = `${apiUrl}communities/${communityId}`;
-        console.log(`getting statistics summary from: ${url}`);
+        //console.log(`getting statistics summary from: ${url}`);
         return this.http.get(url)
             .map(res => <any>res.json())
-            .do(res => {console.log(res)})
             .map(res => res.statistics)
-            .do(res => {console.log(res)});
     }
 
     getCommunityAdminStatisticsChoices(apiUrl: string, communityId: string): Observable<StatisticsDisplay> {
         let url = `${apiUrl}/statistics/${communityId}`;
-        console.log(`getting admin choices for statistics from: ${url}`);
+        //console.log(`getting admin choices for statistics from: ${url}`);
         return this.http.get(url)
             .map(stats => <StatisticsDisplay>stats.json())
             .catch(this.handleError);
Index: modules/uoa-connect-portal/trunk/src/app/deposit/utils/fetchZenodoInformation.class.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/utils/fetchZenodoInformation.class.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/utils/fetchZenodoInformation.class.ts	(revision 54781)
@@ -18,7 +18,7 @@
         zenodoInformation.url = masterZenodoCommunity.link;
       },
       error => {
-        console.log("Master Zenodo community'"+masterZenodoCommunityId+"' couldn't be loaded");
+        console.error("Master Zenodo community'"+masterZenodoCommunityId+"' couldn't be loaded");
       }
     );
   }
@@ -33,7 +33,7 @@
             }
       },
       error => {
-        console.log("list of zenodo communities couldn't be loaded");
+        console.error("list of zenodo communities couldn't be loaded");
       }
     );
   }
Index: modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositDatasetsResult.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositDatasetsResult.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositDatasetsResult.component.ts	(revision 54781)
@@ -57,7 +57,7 @@
                             this.fetchZenodoInformation.searchNumberOfZCommunities(communityId, this.properties, this.zenodoInformation);
                        },
                       error => {
-                        console.log("Community couldn't be loaded");
+                        console.error("Community couldn't be loaded");
                       }
                     );
                 }
Index: modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositDatasets.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositDatasets.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositDatasets.component.ts	(revision 54781)
@@ -58,7 +58,7 @@
                             this.fetchZenodoInformation.searchNumberOfZCommunities(communityId, this.properties, this.zenodoInformation);
                        },
                       error => {
-                        console.log("Community couldn't be loaded");
+                        console.error("Community couldn't be loaded");
                       }
                     );
                 }
Index: modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositBySubjectResult.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositBySubjectResult.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/datasets/depositBySubjectResult.component.ts	(revision 54781)
@@ -56,7 +56,7 @@
                             this.fetchZenodoInformation.searchNumberOfZCommunities(communityId, this.properties, this.zenodoInformation);
                        },
                       error => {
-                        console.log("Community couldn't be loaded");
+                        console.error("Community couldn't be loaded");
                       }
                     );
                 }
Index: modules/uoa-connect-portal/trunk/src/app/deposit/publications/depositPublicationsResult.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/publications/depositPublicationsResult.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/publications/depositPublicationsResult.component.ts	(revision 54781)
@@ -55,7 +55,7 @@
                             this.fetchZenodoInformation.searchNumberOfZCommunities(communityId, this.properties, this.zenodoInformation);
                        },
                       error => {
-                        console.log("Community couldn't be loaded");
+                        console.error("Community couldn't be loaded");
                       }
                     );
                 }
Index: modules/uoa-connect-portal/trunk/src/app/deposit/publications/depositPublications.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/publications/depositPublications.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/publications/depositPublications.component.ts	(revision 54781)
@@ -88,7 +88,7 @@
                             */
                        },
                       error => {
-                        console.log("Community couldn't be loaded");
+                        console.error("Community couldn't be loaded");
                       }
                     );
                 }
Index: modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.ts
===================================================================
--- modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.ts	(revision 54780)
+++ modules/uoa-connect-portal/trunk/src/app/deposit/zenodo/shareInZenodo.component.ts	(revision 54781)
@@ -74,7 +74,7 @@
                                 // emptyCommunity.id = this.masterZenodoCommunityId;
                                 // emptyCommunity.title = this.masterZenodoCommunityId;
                                 // this.masterZenodoCommunity = emptyCommunity;
-                                console.log("Master Zenodo community'"+this.masterZenodoCommunityId+"' couldn't be loaded");
+                                console.error("Master Zenodo community'"+this.masterZenodoCommunityId+"' couldn't be loaded");
 
 
                               }
@@ -94,7 +94,7 @@
 
                               },
                               error => {
-                                console.log("list of zenodo communities couldn't be loaded");
+                                console.error("list of zenodo communities couldn't be loaded");
                                 this.zenodoSearchUtils.status = this.errorCodes.ERROR;
                               } //this.handleError('System error retrieving community profile', error)
                             );
@@ -101,7 +101,7 @@
 
                        },
                       error => {
-                        console.log("Community couldn't be loaded");
+                        console.error("Community couldn't be loaded");
                         this.zenodoSearchUtils.status = this.errorCodes.ERROR;
                       }
                     );
@@ -150,7 +150,7 @@
     if(this.zenodocommunitiesloadedCount >=  this.CommunityIds.length){
       this.zenodoSearchUtils.status = this.errorCodes.DONE;
     }
-    console.log("Zenodo community'"+zenodoid+"' couldn't be loaded");
+    console.error("Zenodo community'"+zenodoid+"' couldn't be loaded");
 
 
   }